package com.pj.project.tb_goods;

import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Service: tb_goods -- 商品管理
 * @author qzy 
 */
@Service
public class TbGoodsService {

	/** 底层 Mapper 对象 */
	@Autowired
    TbGoodsMapper tbGoodsMapper;

	/** 增 */
	int add(TbGoods t){
		return tbGoodsMapper.add(t);
	}

	/** 删 */
	int delete(Long id){
		return tbGoodsMapper.delete(id);
	}

	/** 改 */
	int update(TbGoods t){
		return tbGoodsMapper.update(t);
	}

	/** 查 */
	TbGoods getById(Long id){
		return tbGoodsMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbGoods> getList(SoMap so) {
		return tbGoodsMapper.getList(so);	
	}
	

}
